%define src_repo_tag   RELEASE_0_1
%define eclipse_base   %{_libdir}/eclipse
%define install_loc    %{_libdir}/eclipse/dropins/valgrind

# Package in %%{_libdir} but no native code so no debuginfo
%global debug_package %{nil}

Name:           eclipse-valgrind
Version:        0.1.0
Release:        6%{?dist}
Summary:        Valgrind Tools Integration for Eclipse

Group:          Development/Tools
License:        EPL
URL:            http://www.eclipse.org/linuxtools/projectPages/valgrind
Source0:        %{name}-fetched-src-%{src_repo_tag}.tar.bz2
Source1:        %{name}-fetch-src.sh
Patch0:         %{name}-locale-percentage-strings.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#No CDT on ppc64
ExcludeArch: ppc64

BuildRequires: java-devel >= 1.5.0
BuildRequires: eclipse-cdt
BuildRequires: eclipse-linuxprofilingframework
BuildRequires: eclipse-birt
BuildRequires: eclipse-pde >= 1:3.4.0
Requires: eclipse-platform >= 3.4.0
Requires: eclipse-cdt
Requires: eclipse-linuxprofilingframework
Requires: eclipse-birt
Requires: valgrind >= 3.3.0

%description
This package for Eclipse allows users to launch their C/C++ Development Tools
projects using the Valgrind tool suite and presents the results in the IDE. 

%prep
%setup -q -n %{name}-fetched-src-%{src_repo_tag}
pushd org.eclipse.linuxtools.valgrind.massif
%patch0
popd

%build
%{eclipse_base}/buildscripts/pdebuild \
    -f org.eclipse.linuxtools.valgrind.feature \
    -d "cdt linuxprofilingframework emf rhino birt" \
    -a "-DjavacSource=1.5 -DjavacTarget=1.5"

%install
%{__rm} -rf %{buildroot}
install -d -m 755 %{buildroot}%{install_loc}

%{__unzip} -q -d %{buildroot}%{install_loc} \
     build/rpmBuild/org.eclipse.linuxtools.valgrind.feature.zip 

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{install_loc}
%doc org.eclipse.linuxtools.valgrind-feature/epl-v10.html

%changelog
* Wed Apr 8 2009 Elliott Baron <ebaron@redhat.com> 0.1.0-6
- Don't generate debuginfo (rhbz#494719).

* Mon Mar 23 2009 Elliott Baron <ebaron@redhat.com> 0.1.0-5
- Rebuild for changes in pdebuild to not ship p2 metadata.

* Fri Mar 13 2009 Elliott Baron <ebaron@redhat.com> 0.1.0-4
- Fixed Massif parser crashing on other locales.

* Fri Mar 6 2009 Elliott Baron <ebaron@redhat.com> 0.1.0-3
- Changing to arch dependent for CDT dependency.
- Setting minimum Valgrind requirement to 3.3.0. 

* Thu Feb 26 2009 Elliott Baron <ebaron@redhat.com> 0.1.0-2
- No eclipse-cdt on ppc64 -> ExcludeArch.

* Mon Feb 17 2009 Elliott Baron <ebaron@redhat.com> 0.1.0-1
- Initial package.
